clc
close all
clear all
% These data are for 20 UEs
fifth_SE_40m=[102.6133 146.6618 289.2863];
fifth_SE_80m=[91.4517 117.6971  178.4925];
fifth_SE_120m=[89.8755 110.4305 163.5292];
fifth_SE_3D=[114.56 254.1256 344.4040];

%%Plotting
x=1:3;
plot(fifth_SE_3D,'kd-','LineWidth',1.3); hold on;
plot(fifth_SE_40m,'kp-','LineWidth',1.3); hold on;
plot(fifth_SE_80m,'k*-','LineWidth',1.3); hold on;
plot(fifth_SE_120m,'ks-','LineWidth',1.3); hold on;
set(groot,'defaultAxesTickLabelInterpreter','latex');  
%bar(fifth_capacity)
%set(gca,'TickLabelInterpreter', 'tex');
xticks([1 2 3])
xticklabels({'$N_{\rm MBS}=2$','$N_{\rm MBS}=3$','$N_{\rm MBS}=4$'})
xlabel('Number of MBS','FontSize',12)
ylabel('5pSE Gain (in %) over no UAV','FontSize',12)
h=legend('3D trajectory', '2D trajectory 40 m','2D trajectory 80 m','2D trajectory 120 m')
%xtickformat('Interpreter', 'latex')
%gca.XAxis.TickLabelFormat      = '\\textbf{%g}';
set(gcf,'color','w');
set(gca,'fontsize',12)
grid on
set(gca,'LooseInset',get(gca,'TightInset'))