function total_pl=mahdi_pl(d)
%d=rand(1,100);
%d=d*1000;
r=sqrt(d.^2-.118*.118); %2D distance between UAV and UEs 
a=.1;b=100;c=10;
prob=zeros(1,length(d));
%% LOS/NLOS Probability Calculation
for i=1:length(d)
m=floor(1000*r(i)*sqrt(a*b)/1000-1);
  PL=zeros(1,m+1);
for j=1:m+1
    z=(120-((j-1+.5)*118/(m+1)))^2;
    PL(j)=1-exp(-z/(2*c*c));
end
prob(i)=prod(PL);
end

%% Path Loss Calculation 
d=d*1000;
los_pl=zeros(1,length(d));
nlos_pl=zeros(1,length(d));
total_pl=zeros(1,length(d));
for i=1:length(d)
    los_pl(i)=7.76e-5*(d(i))^(-2.09);
    nlos_pl(i)=5.13e-4*(d(i))^(-3.75);
    total_pl(i)=prob(i)*los_pl(i)+(1-prob(i))*nlos_pl(i);
    %total_pl(i)=los_pl(i);
end
end