clc
%% New outage simulator plot
% columns for N_mbs= 2,3 and 4
% these are 50 user
% Outage_no_UAV=[ 0.2330 0.2416 0.2292];
 %Outage_3D=[0.1159 0.1555 0.0919];
% Outage_2D_40m=[0.1531 0.1899 0.1485]  ;
% Outage_2D_80m=[0.1463  0.1651 0.1070]  ;
% Outage_2D_120m=[0.1720 0.1536 0.1143] ;
% these are for 50 user
Outage_no_UAV=[ 0.2230 0.2042 0.1750];
Outage_3D=[0.1159 0.1055 0.0919];
Outage_2D_40m=[0.1696 0.1312 0.1064]  ;
Outage_2D_80m=[0.1680  0.1319  0.1043]  ;
Outage_2D_120m=[0.1666 0.1289 0.1032] ;

x=1:3;
figure()
set(groot,'defaultAxesTickLabelInterpreter','latex');
plot(x,Outage_3D,'ko-','LineWidth',1.3); hold on;
plot(x,Outage_2D_120m,'ks-','LineWidth',1.3); hold on;
plot(x,Outage_2D_80m,'k*-','LineWidth',1.3); hold on;
%plot(x,Outage_prob_2D_70m(1,:),'ko-','LineWidth',1.3); hold on;
%plot(x,Outage_prob_2D_60m(1,:),'kx-','LineWidth',1.3); hold on;
plot(x,Outage_2D_40m,'k^-','LineWidth',1.3); hold on;
plot(x,Outage_no_UAV,'kp-','LineWidth',1.3); hold on;
%plot(x,Outage_prob_2D_120m(:,3),'k^-','LineWidth',1.3); hold on;
xticks([1 2 3])
xticklabels({'$N_{\rm MBS}=2$','$N_{\rm MBS}=3$','$N_{\rm MBS}=4$'})
set(gcf,'color','w');
set(gca,'fontsize',12)
%xticklabels({'$N_{\rm MBS}=2$','$N_{\rm MBS}=3$','$N_{\rm MBS}=4$'})
xlabel('MBS Number','FontSize',12)
ylabel('Outage probability','FontSize',12)
grid on
legend('3D trajectory', '2D trajectory 120 m','2D trajectory 80 m','2D trajectory 40 m','No UAV');

set(gcf,'color','w');
set(gca,'fontsize',12)
set(gca,'LooseInset',get(gca,'TightInset'))