clc
close all
clear all

Outage_3D_downtilt_MBS_4=[0.096 0.1002	0.1072 0.1219]; % 10, 6, 2, and -2 degrees
Outage_3D_downtilt_MBS_3=[0.1436 0.1415	0.1473 0.1616]; % 10, 6, 2, and -2 degrees
Outage_3D_downtilt_MBS_2=[0.2095 0.1900	0.1930 0.2053]; % 10, 6, 2, and -2 degrees
%% Downtilt Dataset
downtilt_data=[Outage_3D_downtilt_MBS_2;Outage_3D_downtilt_MBS_3;Outage_3D_downtilt_MBS_4];
%% Outage 3D between antenna angles
x=1:3;
figure()
set(groot,'defaultAxesTickLabelInterpreter','latex');
plot(x,downtilt_data(:,1),'k--','LineWidth',1.5); hold on;
plot(x,downtilt_data(:,2),'rp-','LineWidth',1.5); hold on;
plot(x,downtilt_data(:,3),'bh-','LineWidth',1.5); hold on;
plot(x,downtilt_data(:,4),'ko-','LineWidth',1.5); hold on;
xticks([1 2 3])
xticklabels({'$N_{\rm MBS}=2$','$N_{\rm MBS}=3$','$N_{\rm MBS}=4$'})

xlabel('MBS Number','FontSize',12)
ylabel('Outage probability','FontSize',12)
grid on
legend('3D trajectory (10 downtilt)', '3D trajectory (6 downtilt)','3D trajectory (2 downtilt)','3D trajectory (2 uptilt)');
set(gcf,'color','w');
set(gca,'fontsize',12)
set(gca,'LooseInset',get(gca,'TightInset'))