function y=hata_nouav(hbs,d)
hbs=hbs*1e3; % height of BS in meter
h_ue=2; % height of user in meter
f=1500;% Carrier Frequency in MHz
a_h_ue=((1.1*log10(f)-0.7)*h_ue)-(1.566*log10(f)-0.8); %correction factor
A_bs=69.55+26.16*log10(f)-13.82*log10(hbs(1))-a_h_ue;%% All BS have same height
B_bs=44.9-6.55*log10(hbs(1));
C=-2*log10((f/28)^2)-5.4;
y=zeros(size(d));
d_bs=zeros(size(d,1),size(d,2));
pl_bs=zeros(size(d,1),size(d,2));
for i=1:size(y,1)
    d_bs(i,:)=d(i,1:end);
    pl_bs(i,:)=A_bs+B_bs.*log10(d_bs(i,:))+C;
end


%y=A*ones(length(d))+B.*log10(d)+C*ones(length(d));%% path loss in dB
y=pl_bs ;
end