clc
close all
clear all
%% Parameters
lambda          = 2;           % MBS density (per km^2)
lambdaUE        = 50;         % UE density (per km^2)
LenSimArea      = 1;      % Length of the simulation area (in km)
K_dB            = 0;         % Attenuation due to geometrical parameters of antennas (in dB)
HeightMBS       = 0.030;    % Height of the MBSs (in km)
%HeightUAV1       = 0.12;      % Height of the UAVs (in km)
LenSimArea      = 1;      % Length of the simulation area (in km)
P_mac_dBm       = 46;        %Macro Tx power (in dBm)
P_uav_dBm       = 30;          % UAV Tx power (in dBm)
Pm = 10^(P_mac_dBm/10)/1000 * 10^(K_dB/10); % Net transmit power in Watts
Puav = 10.^(P_uav_dBm/10)/1000* 10^(K_dB/10); % Net transmit power in Watts
PLE=3;
Nm = round(lambda*LenSimArea^2); % Number of MBSs
Nue = round(lambdaUE*(LenSimArea)^2); % Number of UEs
Zuav=.04:.01:.12; % UAV height in KM
tc=.05;% outage threshold
T_max=30; %Maximum flight duration
b = LenSimArea;
grid_size=.1;
Res =-.1:grid_size:b+.1;                  % Layout grid resolution
neighbor=1;
end_point=b*[1 1];
start_point=b*[0 0];
size_grid=length(Res);
start_point_trans=trans(start_point);
end_point_trans=trans(end_point);
max_throughput_harmonic_antenna=single(zeros(size_grid,size_grid));

% Specify path for accesing the data from Figure 2 code and files folder
path1='C:\PhD Research\3D Trajectory Research\IEEE Transaction on Aerospace\New_outage_simulator\netwrok\MBS_3';
addpath(path1)
for ii = 1:100
Xm = LenSimArea*(rand(Nm,1));Ym = LenSimArea*(rand(Nm,1));
Xue = LenSimArea*(rand(Nue,1));Yue = LenSimArea*(rand(Nue,1));