function [gain_array,gain]=radiation_rebato(elev,azm,downtilt)

%% Parameters
N = 8;
phi =-180:180; 
th = 0:1:180;
th_3dB = 65;
phi_3dB = 65;
G_max =8;
AE_V = - min(12*((th-90)/th_3dB).^2,30);
AE_H = - min(12*((phi)/phi_3dB).^2,30);

%i=find(abs(elev-th)<.000001);
%j=find(abs(azm-phi)<.000001);
[~,aa]=min(abs(elev-th));
[~,bb]=min(abs(azm-phi));
A_element=G_max-min(-(AE_V(aa)+AE_H(bb)),30);
%% Array Radiation Pattern
a=sqrt(N);
th_s=90+downtilt;
phi_s=0;
psi_p=cosd(elev)-cosd(th_s);
psi_r=sind(elev)*sind(azm)-sind(th_s)*sind(phi_s);
gain=A_element;
p=1:N;r=1;
w=zeros(length(p),r);
a_vec=1/a*ones(1,N);
for i=1:length(p)
    for j= 1:r
        w(i,j)=exp(1i*pi.*((i-1).*psi_p+(j-1).*psi_r));
    end
end
%w=w;
w1=w(:);
G = abs(a_vec*w1)^2;
gain_array=10*log10(G)+gain;
end