clc
close all
clear all


%% Results with 6 degree downtilt angle modified
se_gain_3D_6=[29.8002 24.0222 22.3342];
a=cell2mat(struct2cell(load('SE_gain_mbs_2.mat')));
b=cell2mat(struct2cell(load('SE_gain_mbs_3.mat')));
c=cell2mat(struct2cell(load('SE_gain_mbs_4.mat')));
se_gain_2D_6=[a;b;c];

figure()
set(groot,'defaultAxesTickLabelInterpreter','latex');
plot(se_gain_3D_6,'r-','LineWidth',1.3); hold on;
plot(se_gain_2D_6(:,1),'kp-','LineWidth',1.3); hold on;
plot(se_gain_2D_6(:,3),'kx-','LineWidth',1.3); hold on;
%plot(se_gain_2D_6(:,3),'ko-','LineWidth',1.3); hold on;
plot(se_gain_2D_6(:,4),'ko-','LineWidth',1.3); hold on;
plot(se_gain_2D_6(:,5),'k*-','LineWidth',1.3); hold on;
%plot(se_gain_2D_6(:,6),'ko-','LineWidth',1.3); hold on;
%plot(se_gain_2D_6(:,7),'k.-','LineWidth',1.3); hold on;
%plot(se_gain_2D_6(:,7),'k^-','LineWidth',1.3); hold on;
plot(se_gain_2D_6(:,9),'ks-','LineWidth',1.3); hold on;

xticks([1 2 3])
xticklabels({'$N_{\rm MBS}=2$','$N_{\rm MBS}=3$','$N_{\rm MBS}=4$'})
%xticklabels({'$N_{\rm MBS}=2$','$N_{\rm MBS}=3$','$N_{\rm MBS}=4$'})
xlabel('MBS Number','FontSize',12)
ylabel('SE Gain (in %) over no UAV','FontSize',12)
grid on
legend('3D trajectory', '2D trajectory 40 m','2D trajectory 60 m','2D trajectory 70 m','2D trajectory 80 m','2D trajectory 120 m');

%se_gain_3D_6=[24.0501 18.7867 17.3852];
figure()
set(groot,'defaultAxesTickLabelInterpreter','latex');
plot(se_gain_3D_6,'r-','LineWidth',1.3); hold on;
plot(se_gain_2D_6(:,1),'kp-','LineWidth',1.3); hold on;
plot(se_gain_2D_6(:,3),'kx-','LineWidth',1.3); hold on;
%plot(se_gain_2D_6(:,3),'ko-','LineWidth',1.3); hold on;
plot(se_gain_2D_6(:,4),'ko-','LineWidth',1.3); hold on;
plot(se_gain_2D_6(:,5),'k*-','LineWidth',1.3); hold on;
%plot(se_gain_2D_6(:,6),'ko-','LineWidth',1.3); hold on;
%plot(se_gain_2D_6(:,7),'k.-','LineWidth',1.3); hold on;
%plot(se_gain_2D_6(:,7),'k^-','LineWidth',1.3); hold on;
plot(se_gain_2D_6(:,9),'ks-','LineWidth',1.3); hold on;

xticks([1 2 3])
xticklabels({'$N_{\rm MBS}=2$','$N_{\rm MBS}=3$','$N_{\rm MBS}=4$'})
%xticklabels({'$N_{\rm MBS}=2$','$N_{\rm MBS}=3$','$N_{\rm MBS}=4$'})
xlabel('MBS Number','FontSize',12)
ylabel('SE Gain (in %) over no UAV','FontSize',12)
grid on
legend('3D trajectory', '2D trajectory 40 m','2D trajectory 60 m','2D trajectory 70 m','2D trajectory 80 m','2D trajectory 120 m');