
function y=hata(hbs,huav,d)
hbs=hbs*1e3; % height of BS in meter
huav=huav*1000;
h_ue=2; % height of user in meter
f=1500;% Carrier Frequency in MHz
a_h_ue=((1.1*log10(f)-0.7)*h_ue)-(1.566*log10(f)-0.8); %correction factor
A_bs=69.55+26.16*log10(f)-13.82*log10(hbs(1))-a_h_ue;%% All BS have same height
B_bs=44.9-6.55*log10(hbs(1));
A_uav=69.55+26.16*log10(f)-13.82*log10(huav)-a_h_ue;
B_uav=44.9-6.55*log10(huav);
C=-2*log10((f/28)^2)-5.4;
y=zeros(size(d));
d_bs=zeros(size(d,1),size(d,2)-1);
pl_bs=zeros(size(d,1),size(d,2)-1);
d_uav=zeros(size(d,1),1);
pl_uav=zeros(size(d,1),1);
for i=1:size(y,1)
    d_bs(i,:)=d(i,1:end-1);
    pl_bs(i,:)=A_bs+B_bs.*log10(d_bs(i,:))+C;
    d_uav(i,:)=d(i,end);
    pl_uav(i,:)=A_uav+B_uav.*log10(d_uav(i,:))+C;
end


%y=A*ones(length(d))+B.*log10(d)+C*ones(length(d));%% path loss in dB
y=[pl_bs pl_uav];
end